Package org.apache.storm.trident.operation.impl

# Class FilterExecutor

java.lang.Object
org.apache.storm.trident.operation.impl.FilterExecutor

All Implemented Interfaces:
  `Serializable`, `EachOperation`, `Function`, `Operation`

public class FilterExecutor extends Object implements Function

See Also:
  - Serialized Form

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `FilterExecutor(Filter filter)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `void`
  `cleanup()`
  When running in local mode, called when the local cluster is being shut down.
  `void`
  `execute(TridentTuple tuple, TridentCollector collector)`
  Performs the function logic on an individual tuple and emits 0 or more tuples.
  `void`
  `prepare(Map<String,Object> conf, TridentOperationContext context)`
  Called when the `Operation` is first initialized.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### FilterExecutor

    public FilterExecutor(Filter filter)

- ## Method Details

  - ### execute

    public void execute(TridentTuple tuple, TridentCollector collector)
    Description copied from interface: `Function`
    Performs the function logic on an individual tuple and emits 0 or more tuples.
    Specified by:
      `execute` in interface `Function`
    Parameters:
      `tuple` - The incoming tuple
      `collector` - A collector instance that can be used to emit tuples

  - ### prepare

    public void prepare(Map<String,Object> conf, TridentOperationContext context)
    Description copied from interface: `Operation`
    Called when the `Operation` is first initialized.
    Specified by:
      `prepare` in interface `Operation`
    Parameters:
      `conf` - the Storm configuration map
      `context` - the operation context which provides information such as the number of partitions in the stream, and the current partition index. It also provides methods for registering operation-specific metrics.
    See Also:
      - `TridentOperationContext`

  - ### cleanup

    public void cleanup()
    Description copied from interface: `Operation`
    When running in local mode, called when the local cluster is being shut down.
    Specified by:
      `cleanup` in interface `Operation`